SDL_GetMemoryFunctions(3)

NAME
SDL_GetMemoryFunctions - Get the current set of SDL memory functions.

HEADER FILE
Defined in SDL3/SDL_stdinc.h

SYNOPSIS
#include "SDL3/SDL.h"

void SDL_GetMemoryFunctions(SDL_malloc_func *malloc_func,
                        SDL_calloc_func *calloc_func,
                        SDL_realloc_func *realloc_func,
                        SDL_free_func *free_func);

FUNCTION PARAMETERS

malloc_func
    filled with malloc function.

calloc_func
    filled with calloc function.

realloc_func
    filled with realloc function.

free_func
    filled with free function.

THREAD SAFETY
This does not hold a lock, so do not call this in the unlikely event of a background thread calling SDL_SetMemoryFunctions

simultaneously.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_SetMemoryFunctions(3), •(3), SDL_GetOriginalMemoryFunctions(3)